--==--==--==--==--==--==--==--==--==--==--
-- Cisco Call Manager
-- 2014-02-07 MP @ scannex.com
--==--==--==--==--==--==--==--==--==--==--
protocols.ccm={}
protocols.ccm.desc="Cisco Call Manager FTP (2014-02-07)"
protocols.ccm.params="S;hdr;Headers;Save the headers;1;0=Discard headers;1=Save headers|S;cmr;Which Files;Save the CDR and CMR files;1;0=CDR only;1=CDR+CMR|S;le;Line Endings;How to force;0;0=No change;1=Force CR+LF"
protocols.ccm.bidi=0
protocols.ccm.matchsend=0
protocols.ccm.only="ftps"

function protocols.ccm.data(p)
 local s,t
 s,t=p:readline()
 s = s or ""
 if string.match(s,"^1,") or
   (string.find(s,"^2,") and (p.cmr==1))
 then
  if p.le==1 then s=tools.fixending(s) end
  p:store(s,"cdr ccm")
  return
 end
 if p.hdr~=1 then return end
 if (p.cmr==1) or string.find(s,"VARCHAR(128)",1,true) or string.find(s,"origLegCallIdentifier")
 then
  if p.le==1 then s=tools.fixending(s) end
  p:store(s,"cdr ccm")
 end
end
